Edit image (qwen-image-edit)
post/v1/images/edits
Image generation with the Bailian qwen-image series.
Authentication
Send your OLETOKEN API key as a Bearer token. Keys are created on the API Keys page of the console.
Authorization: Bearer $OLETOKEN_API_KEYRequest body
Content-Type:application/json
| Field | Type | Required | Description |
|---|---|---|---|
| model | string | — | |
| input | object | — | |
| messages | object[] | — | |
| role | string | — | — |
| content | object[] | — | — |
| image | string | — | — |
| text | string | — | — |
| parameters | object | — | — |
| n | integer | — | — |
| negative_prompt | string | — | — |
| prompt_extend | boolean | — | — |
| watermark | boolean | — | — |
| size | string | — | — |
Responses
200Image generated
| Field | Type | Required | Description |
|---|---|---|---|
| created | integer | — | — |
| data | object[] | — | — |
| url | string | — | — |
| b64_json | string | — | — |
| revised_prompt | string | — | — |
Example request
curl -X POST 'https://api.oletoken.ai/v1/images/edits' \
-H "Authorization: Bearer $OLETOKEN_API_KEY" \
-H 'Content-Type: application/json' \
-d '{
"model": "string",
"input": {}
}'
